<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>JFLAP History</title>
  </head>

  <body>
    <h1>JFLAP History</h1>

<h2> History of JFLAP:</h2>
<p>
JFLAP started as a series of tools at Rensselaer Polytechnic Institute
around 1990, with students working under the direction of Susan Rodger.
The JFLAP project moved to Duke University in 1994 when Rodger
moved there. Following is a list of students who worked on
JFLAP and/or related tools throughout the years and the year they started
working on tools.
<p> 
Also see these History slides from the <a
href="http://www.cs.duke.edu/csed/jflapworkshop/sigcse06/"
target=sigcseWorkshop> 2006 workshop </a>

<p>
<table border=1>
<tr>
<th> DATE
<th> NAME
<th> SCHOOL
<th> TOOL
<tr>
<td> 1990
<td> Dan Caugherty
<td>Rensselaer
<td> NPDA
</tr>
<tr>
<td> 1991
<td> Grant Poladian
<td> Rensselaer
<td> Tools for Automata
</tr>
<tr>
<td> 1992
<td> Mark LoSacco
<td> Rensselaer
<td> FLAP
</tr>
<tr>
<td> 1992
<td> Mike James
<td> Rensselaer
<td> LR Parser
</tr>
<tr> 
<td> 1992
<td>  Danny Daglas
<td> Rensselaer
<td>  Turing Machine Implementation
</tr>
<tr> 
<td> 1992
<td>  Jeffrey Nesheiwat
<td> Rensselaer
<td>  Turing Machine Implementation
</tr>
<tr> 
<td> 1992
<td>  Jasper Wong
<td> Rensselaer
<td>  Turing Machine Implementation
</tr>
<tr>
<td> 1993
<td> Eric Luce
<td> Rensselaer
<td> Turing Machine Building Blocks
</tr>
<tr>
<td> 1993
<td> Steve Blythe
<td> Rensselaer
<td> LR Parser
</tr>
<tr>
<td> 1994
<td> Ugur Dogrusoz
<td> Rensselaer
<td> Automatic Layout of DFA in LR Parsing
</tr>
<tr>
<td> 1994
<td> Bhasker Vasudevan
<td> Rensselaer
<td> NFA to DFA
</td>
<tr>
<td> 1994
<td>Mohan Nibhunupudi
<td>Rensselaer
<td>CFG to CNF
</tr>
<tr>
<td>1995
<td> Edwin Tsang
<td> Duke University
<td> LL and LR Parse Trees
</tr>
<tr>
<td> 1995
<td>  Greg Badros
<td> Duke University
<td> Modifications to FLAP
</tr>
<tr> 
<td> 1995 
<td>Steve Wolfman
<td> Duke University
<td> L-systems
</tr>
<tr>
<td> 1995
<td> Ben Hardekopf
<td> Duke University
<td> DFA to minimum DFA
</tr>
<tr>
<td> 1996
<td> Ken Leider
<td> Duke University
<td> PumpLemma
</tr>
<tr>
<td> 1996 
<td> Anna Bilska
<td> Duke University
<td> Pate: Brute Force Parser
</tr>
<tr>
<td> 1996
<td> Jason Salemme
<td> Duke University
<td> Pate: Brute Force Parser
</tr>
<tr>
<td> 1996
<td> Magda Procopiuc
<td> Duke University
<td> JFLAP - FLAP to Java
</tr>
<tr>
<td> 1996
<td> Octavian Procopiuc
<td> Duke University
<td> JFLAP - FLAP to Java
</tr>
<tr>
<td> 1997
<td> Alex Karweit
<td> Duke University
<td> JeLLRap - LL and LR parsing 
</tr>
<tr>
<td> 1997
<td> Robyn Geer
<td> Duke University
<td> JeLLRap - LL and LR parsing
</tr>
<tr>
<td> 1997
<td> Eric Grammond
<td> Duke University
<td> Extensions to JFLAP
</tr>
<tr>
<td> 1998
<td> Lenore Ramm
<td> Duke University
<td>L-systems
</tr>
<tr>
<td> 1999
<td> Ted Hung
<td> Duke University
<td> Regular Expressions
</tr>
<tr>
<td> 2002
<td> Thomas Finley 
<td> Duke University
<td> JFLAP rewritten and extended in Swing, L-Systems, Many new additions
</tr>
<tr>
<td> 2002 
<td> Ryan Cavalcante
<td> Duke University
<td>JFLAP rewritten and extended in Swing
</tr>
<tr>
<td> 2005
<td>Stephen Reading
<td> Duke University
<td> Turing Machine Building Blocks in JFLAP, Batch processing
</tr>
<tr>
<td> 2005 
<td> Bart Bressler
<td> Duke University
<td> Turing Machine Building Blocks in JFLAP
</tr>
<tr>
<td> 2006 
<td> Jinghui Lim
<td> Duke University
<td> Moore and Mealy machines, Pumping Lemma
</tr>
<tr>
<td> 2007 
<td> Chris Morgan
<td> Duke University
<td> Graph Layouts, JFLAP Tutorial, Pumping Lemma
</tr>
<tr>
<td> 2007 
<td> Kyung Min (Jason) Lee
<td> Duke University
<td> CYK Parser, User-Control Parser, JFLAP Tutorial, TM to UG
</tr>
<tr>
<td> 2008 
<td> Jonathan Su
<td> Duke University
<td> Usage and Updating of JFLAP
</tr>
</table>


  </body>
</html>
